---
- hosts: os_control:os_control_stg
  user: root
  gather_facts: false

  ############################################
  # actions to create the project in OpenShift
  ############################################
  # to run: sudo rbac-playbook -l os_control_stg openshift-apps/fedora-coreos-pipeline.yml
  roles:
  - role: openshift-apps/fedora-coreos-pipeline
    project_name: fedora-coreos-pipeline
    project_description: Fedora CoreOS Pipeline
    appowners:
    - aaradhak
    - c4rt0
    - cverna
    - dustymabe
    - gursewak
    - hhei
    - jlebon
    - jmarrero
    - jschinta
    - kevin
    - lravicha
    - luyang
    - marmijo
    - mnguyen
    - ravanelli
    - shilpi-das1
    - siosm
    - spresti
    - sumantrom
    - walters
    alert_users:
    - aaradhak
    - dustymabe
    - gursewak
    - jlebon
    - marmijo
    - ravanelli

  ###############################################
  # actions to delete the project from OpenShift
  ###############################################
  # to run: sudo rbac-playbook -l os_control_stg -t delete openshift-apps/fedora-coreos-pipeline.yml
  - role: openshift/object-delete
    app: fedora-coreos-pipeline
    objecttype: project
    objectname: fedora-coreos-pipeline
    tags: [never, delete]
